Bug 488919 - (perl-App-Cache) Review Request: perl-App-Cache - Easy application-level caching
Review Request: perl-App-Cache - Easy application-level caching
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/App-Cache
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-06 02:52 EST by Chris Weyl
Modified: 2009-03-08 14:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-08 14:58:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-03-06 02:52:21 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-App-Cache.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-App-Cache-0.35-1.fc10.src.rpm

Description:
The App::Cache module lets an application cache data locally. There are a
few times an application would need to cache data: when it is retrieving
information from the network or when it has to complete a large calculation.
For example, the Parse::BACKPAN::Packages module downloads a file off the
net and parses it, creating a data structure. Only then can it actually
provide any useful information for the programmer. Parse::BACKPAN::Packages
uses App::Cache to cache both the file download and data structures,
providing much faster use when the data is cached. This module stores data
in the home directory of the user, in a dot directory. For example, the
Parse::BACKPAN::Packages cache is actually stored underneath
"~/.parse_backpan_packages/cache/". This is so that permisssions are not a
problem -- it is a per-user, per-application cache.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1225790

*rt-0.05
Comment 1 Parag AN(पराग) 2009-03-06 03:25:33 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1225790
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
3483ed94401531d16ceab63d57b8da6e  App-Cache-0.35.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=41,  6 wallclock secs ( 0.00 usr  0.01 sys +  0.41 cusr  0.05 csys =  0.47 CPU)
+ package perl-App-Cache-0.35-1.fc11-noarch =>
  Provides: perl(App::Cache) = 0.35
  Requires: perl(File::Find::Rule) perl(File::HomeDir) perl(File::stat) perl(HTTP::Cookies) perl(LWP::UserAgent) perl(Path::Class) perl(Storable) perl(base) perl(strict)

APPROVED.
Comment 2 Chris Weyl 2009-03-06 03:31:40 EST
New Package CVS Request
=======================
Package Name: perl-App-Cache
Short Description: Easy application-level caching
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-03-07 12:38:39 EST
cvs done.
Comment 4 Chris Weyl 2009-03-08 14:58:24 EDT
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.